> ## Documentation Index
> Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete model version

<Callout icon="lock" color="#b2b1b1ff" iconType="regular">
  This feature is in [Private Preview](/support/preview-releases). For access or more information, [contact us](https://www.cerebras.ai/contact) or reach out to your account representative.
</Callout>

Delete a specific model version and its associated artifacts from Cerebras.


## OpenAPI

````yaml delete /management/v1/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}
openapi: 3.1.0
info:
  title: Endpoint Management Orchestrator API
  version: 1.0.0
servers:
  - url: https://api.cerebras.ai
security:
  - BearerAuth: []
paths:
  /management/v1/orgs/{org_name}/models/{model_arch_id}/versions/{version_id}:
    delete:
      summary: Delete model version
      operationId: >-
        delete_model_version_route_management_v1_orgs__org_name__models__model_arch_id__versions__version_id__delete
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: >-
              Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at
              https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.
            title: Org Name
          description: >-
            Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at
            https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.
        - name: model_arch_id
          in: path
          required: true
          schema:
            type: string
            title: Model Arch Id
            description: >-
              Name of the model architecture (e.g. `llama3.1-8b`,
              `gpt-oss-120b`).
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        - name: version_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Autoincrementing integer or user-defined alias to identify model
              version.
            title: Version Id
          description: >-
            Autoincrementing integer or user-defined alias to identify model
            version.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionDeleteResponse'
              example:
                name: orgs/my-org/models/gpt-oss-120b/versions/1
                deleted: true
components:
  schemas:
    ModelVersionDeleteResponse:
      properties:
        message:
          type: string
          title: Message
      additionalProperties: false
      type: object
      required:
        - message
      title: ModelVersionDeleteResponse
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Management API key generated from the `Management API keys` section on
        the `API keys` page at https://cloud.cerebras.ai. Use the format:
        `Bearer <MANAGEMENT_API_KEY>`

````